---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  creationTimestamp: "2022-03-08T10:14:18Z"
  managedFields:
  - apiVersion: rbac.authorization.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:rules: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:14:18Z"
  name: machine-api-controllers
  namespace: openshift-machine-api
  resourceVersion: "1975"
  selfLink: /apis/rbac.authorization.k8s.io/v1/namespaces/openshift-machine-api/roles/machine-api-controllers
  uid: f771f597-4c3a-4653-8662-7428ccbac669
rules:
- apiGroups:
  - machine.openshift.io
  resources:
  - '*'
  verbs:
  - '*'
- apiGroups:
  - healthchecking.openshift.io
  resources:
  - '*'
  verbs:
  - '*'
- apiGroups:
  - ""
  resources:
  - configmaps
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - ""
  resources:
  - events
  verbs:
  - create
  - watch
  - list
  - patch
- apiGroups:
  - metal3.io
  resources:
  - baremetalhosts
  verbs:
  - get
  - list
  - watch
  - update
  - patch
- apiGroups:
  - metal3.io
  resources:
  - baremetalhosts/status
  - baremetalhosts/finalizers
  verbs:
  - update
